# TODO: package the vim syntax file.
Summary:	A tool for converting text files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików tekstowych do różnych formatów
Name:		asciidoc
Version:	10.2.1
Release:	1
License:	GPL v2+
Group:		Applications/System
#Source0Download: https://github.com/asciidoc-py/asciidoc-py/releases
Source0:	https://github.com/asciidoc-py/asciidoc-py/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	186b56a1020e671b24de413bc3795122
URL:		https://asciidoc.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	/usr/bin/pygmentize
Requires:	docbook-dtd45-xml
Requires:	python3 >= 1:3.5
Requires:	python3-modules >= 1:3.5
Requires:	xmlto
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML (with or without stylesheets), DocBook and LinuxDoc markup
using the asciidoc(1) command. AsciiDoc is highly configurable: both
the AsciiDoc source file syntax and the backend output markups (which
can be almost any type of SGML/XML markup) can be customized and
extended by the user.

%description -l pl.UTF-8
AsciiDoc jest formatem dokumentów tekstowych do pisania krótkich
dokumentów, artykułów, książek i podręczników systemu UNIX. Pliki
AsciiDoc mogą być tłumaczone do HTML-a (z lub bez CSS), DocBooka i
LinuxDoca używając polecenia asciidoc(1). AsciiDoc jest wysoce
konfigurowalny: zarówno składnia plików źródłowych, jak i znaczniki
backendów (które mogą być dowolnego typu SGML/XML) mogą być
dostosowywane i rozszerzane przez użytkownika.

%prep
%setup -q -n %{name}-py-%{version}

%{__sed} -i -e '1s|/usr/bin/env python3|%{__python3}|' \
	asciidoc/resources/filters/code/code-filter.py \
	asciidoc/resources/filters/graphviz/graphviz2png.py \
	asciidoc/resources/filters/latex/latex2img.py \
	asciidoc/resources/filters/music/music2png.py \
	asciidoc/resources/filters/unwraplatex.py

%build
# make man pages
%{__autoconf}
%configure
%{__make}

%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p doc/a*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS.adoc CHANGELOG.adoc COPYRIGHT README.md doc/{asciidoc,asciidocapi,asciimath}.txt
%attr(755,root,root) %{_bindir}/a2x
%attr(755,root,root) %{_bindir}/asciidoc
%dir %{py3_sitescriptdir}/asciidoc
%{py3_sitescriptdir}/asciidoc/*.py
%{py3_sitescriptdir}/asciidoc/__pycache__
%{py3_sitescriptdir}/asciidoc/blocks
%dir %{py3_sitescriptdir}/asciidoc/resources
%{py3_sitescriptdir}/asciidoc/resources/*.conf
%{py3_sitescriptdir}/asciidoc/resources/dblatex
%{py3_sitescriptdir}/asciidoc/resources/docbook-xsl
%dir %{py3_sitescriptdir}/asciidoc/resources/filters
%attr(755,root,root) %{py3_sitescriptdir}/asciidoc/resources/filters/unwraplatex.py
%{py3_sitescriptdir}/asciidoc/resources/filters/__pycache__
%dir %{py3_sitescriptdir}/asciidoc/resources/filters/code
%attr(755,root,root) %{py3_sitescriptdir}/asciidoc/resources/filters/code/code-filter.py
%{py3_sitescriptdir}/asciidoc/resources/filters/code/__pycache__
%{py3_sitescriptdir}/asciidoc/resources/filters/code/*.conf
%{py3_sitescriptdir}/asciidoc/resources/filters/code/*.txt
%dir %{py3_sitescriptdir}/asciidoc/resources/filters/graphviz
%attr(755,root,root) %{py3_sitescriptdir}/asciidoc/resources/filters/graphviz/graphviz2png.py
%{py3_sitescriptdir}/asciidoc/resources/filters/graphviz/__pycache__
%{py3_sitescriptdir}/asciidoc/resources/filters/graphviz/*.conf
%{py3_sitescriptdir}/asciidoc/resources/filters/graphviz/*.txt
%dir %{py3_sitescriptdir}/asciidoc/resources/filters/latex
%attr(755,root,root) %{py3_sitescriptdir}/asciidoc/resources/filters/latex/latex2img.py
%{py3_sitescriptdir}/asciidoc/resources/filters/latex/__pycache__
%{py3_sitescriptdir}/asciidoc/resources/filters/latex/*.conf
%dir %{py3_sitescriptdir}/asciidoc/resources/filters/music
%attr(755,root,root) %{py3_sitescriptdir}/asciidoc/resources/filters/music/music2png.py
%{py3_sitescriptdir}/asciidoc/resources/filters/music/__pycache__
%{py3_sitescriptdir}/asciidoc/resources/filters/music/*.conf
%{py3_sitescriptdir}/asciidoc/resources/filters/music/*.txt
%{py3_sitescriptdir}/asciidoc/resources/filters/source
%{py3_sitescriptdir}/asciidoc/resources/icons
%{py3_sitescriptdir}/asciidoc/resources/javascripts
%{py3_sitescriptdir}/asciidoc/resources/stylesheets
%{py3_sitescriptdir}/asciidoc/resources/themes
%{py3_sitescriptdir}/asciidoc-%{version}-py*.egg-info
%{_mandir}/man1/a2x.1*
%{_mandir}/man1/asciidoc.1*
%changelog
* Sun Jul 21 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/asciidoc.git;a=log;h=master

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 6e87646
- updated to 10.2.1

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> e6aa5e2
- BR for python macros

* Sat Aug 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 2e1ec93
- updated to 10.2.0

* Wed Jun 30 2021 Jan Palus <atler@pld-linux.org> 5e45465
- Release 2 (by relup.sh)

* Mon Jun 28 2021 Jan Palus <atler@pld-linux.org> 450f30e
- R: /usr/bin/pygmentize

* Wed Jun 02 2021 Jan Palus <atler@pld-linux.org> 3e9cc59
- R: docbook-dtd45-xml

* Thu Feb 25 2021 Jan Palus <atler@pld-linux.org> 0f7453d
- up to 9.1.0

* Sun Apr 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 04c9364
- new URLs, updated to 8.6.10
- use upstream make install

* Sun Dec 27 2015 Jakub Bogusz <qboosh@pld-linux.org> c496920
- more /usr/bin/env python substitutions

* Sun Dec 27 2015 Łukasz Kieś <kiesiu@pld-linux.org> 0a9c06d
- updated to 8.6.9

* Mon Dec 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> a3497f7
- updated to 8.6.8

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d4b5b86
- updated to 8.6.6

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 0fa831d
- updated to 8.6.5

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 31f8a32
- updated to 8.6.4

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> d62a141
- BR: rpm-pythonprov

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 829ac3f
- updated to 8.6.3

* Thu Nov 04 2010 Jakub Bogusz <qboosh@pld-linux.org> 8eb1c8a
- updated to 8.6.2
- removed obsolete safe patch

* Sun Jul 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a60a50f
- up to 8.4.5

* Fri Dec 19 2008 Adam Gołębiowski <adamg@pld-linux.org> 73dee59
- updated to 8.3.1

* Fri Dec 12 2008 radek <radek@pld-linux.org> 481412f
- fix timstamps in spec changelog

